Bug 876210

Summary: CVE-2012-5521 quagga (ospf6d): Assertion failure when removing routes (retrieving information which route to remove) [fedora-all]
Product: [Fedora] Fedora Reporter: Jan Lieskovsky <jlieskov>
Component: quaggaAssignee: Michal Ruprich <mruprich>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 23CC: balajig81, msekleta, ovasik, pj.pandit
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: fst_ping=1
Fixed In Version: Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-12-20 07:30:11 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 876197    

Description Jan Lieskovsky 2012-11-13 10:10:15 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2012-11-13 10:10:23 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=876197,876210
Comment 2 Fedora Admin XMLRPC Client 2013-04-02 09:23:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2013-07-04 01:31:58 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 pjp 2014-12-03 13:22:45 EST
Hello msekleta,

Could you please fix this soon?
Comment 5 Michal Sekletar 2014-12-04 10:49:25 EST
(In reply to pjp from comment #4)
> Could you please fix this soon?

If I understand upstream discussion correctly, they were not able to reproduce the issue. Also it seems like the possible reproducer requires network topology where juniper router is directly adjacent to Linux box running quagga.

Sorry I just don't have resources (hardware) needed to even try reproducing this. Hence I can't tell when this gets fixed. Of course if upstream or someone else comes up with working patch I will be more than happy to apply it.
Comment 6 pjp 2014-12-05 08:51:12 EST
Hello Michal,

Thank you so much for the details. It's been more than 2 years since the issue was found and reported upstream. Since it remains unconfirmed today and a patch is not expected in the near future, it might be good to close this bug as CLOSE DEFERRED with due comments about it.

Thank you.
Comment 7 Michal Sekletar 2014-12-05 09:34:22 EST
I think we should keep this one open given this is a security issue. And if fix appears in the future we don't have to reopen or create new bug then.
Comment 8 pjp 2014-12-05 11:30:02 EST
(In reply to Michal Sekletar from comment #7)
> I think we should keep this one open given this is a security issue. And if
> fix appears in the future we don't have to reopen or create new bug then.

  You expect a fix would be available in the near future, a month? If so, then it's okay to keep it open. If not, we need not leave it open indefinitely, it's been already more than 2 years.

In-fact, such cases should be CLOSE DEFERRED, provided there is reason to believe that a patch would be available in the near future.
Comment 9 Michal Sekletar 2014-12-08 10:26:07 EST
I don't expect fix to appear any time soon. I don't see why should I close this bug. I as a maintainer like that bug is open because it pops up in my searches. Please don't close this bug.
Comment 10 pjp 2015-04-09 13:31:43 EDT
Hello msekleta@redhat.com,

You plan to fix this soon?
Comment 11 Michal Sekletar 2015-04-10 04:01:46 EDT
No plan really. Sorry.
Comment 12 Jan Kurik 2015-07-15 10:56:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 13 Fedora Admin XMLRPC Client 2016-11-16 06:02:49 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora End Of Life 2016-11-24 05:51:25 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 07:30:11 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.